
Figure - Bug #118074
【IOVDEV-27827】【内部】【VC1】【0072】【台架】【EE环境】【副屏】【投屏】使用移动设备镜像连投
屏-副屏投屏播放不显示名称，使用移动设备应用连投屏-副屏投屏播放显示乐播投屏�
2023-05-18 19:52 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-18

Priority: Normal Due date: 2023-06-16

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0095

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230513 10：23

【前提条件】：副屏上电

连接同一个网络

手机型号：三星Galaxy S22+

安卓版本：Android12

智联1.0投屏版本号：

【操作步骤】

1.使用移动镜像投屏与副屏智联投屏连接成功

2.使用移动应用投屏与副屏智联投屏连接成功

【实际结果】

1.使用移动镜像投屏与副屏智联投屏连接成功，副屏投屏页不显示投屏应用名称

2.使用移动应用投屏与副屏智联投屏连接成功，副屏投屏页显示投屏应用名称“乐播投屏”

【期望结果】

1.镜像投屏与应用投屏副屏显示同一个应用名称

【备注】：

【当前开机次数】：

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0078.C101

【副屏版本号】：01.00.0095.c103

1、视频及音频乐播投屏水印开关（value=1开 value=0关） setOption(Option.LEBO_OPTION_10, value); 2、镜像水印logo开关（value=1开

value=0关） setOption(Option.LEBO_OPTION_11, value); 3、视频页面的播放器菜单显示开关，参数value： 0:video mirror 全开 1:video开

mirror关 2:mirror开 video关 3:video mirror 全关 setOption(Option.LEBO_OPTION_22, value);

History
#1 - 2023-05-19 10:18 - CD FW 曹覃刚

1、视频及音频乐播投屏水印开关（value=1开 value=0关） setOption(Option.LEBO_OPTION_10, value); 2、镜像水印logo开关（value=1开 value=0关）

setOption(Option.LEBO_OPTION_11, >value); 3、视频页面的播放器菜单显示开关，参数value： 0:video mirror 全开 1:video开 mirror关 2:mirror开 video关

3:video mirror 全关 setOption(Option.LEBO_OPTION_22, value);

新需求，延后处理

#2 - 2023-05-23 15:15 - 物联网项目组-RD3_CDTS 周飞

放6月16号版本release

#3 - 2023-05-24 20:20 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

放6月16号版本release

新的需求，0616完成

#4 - 2023-05-26 16:05 - CD FW-廖涛

- Due date set to 2023-06-16

#5 - 2023-05-30 15:57 - CD FW-廖涛

■ Current conclusion

通过针对投屏进行测试，不管是通过手机镜像投屏还是手机视频应用投屏，最终显示的都是 com.hryt.lebotp/com.hpplay.sdk.sink.business.BusinessActivity 页

面，该页面为乐播 SDK 内部提供，无法在外部进行定制，所以要修改的话需要联系乐播在 SDK 中进行修改。

■ Next action

测试确认并同步客户。

#6 - 2023-05-30 16:00 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

#7 - 2023-06-03 13:40 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

6.3

客户方已联系乐播投屏方修改，先关闭此bug

#8 - 2023-06-03 13:40 - CD TEST-方永红
- Status changed from RESOLVED to VERIFIED

#9 - 2023-06-03 13:40 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
